/*
 * $Id: localeprefs.c,v 1.1.1.1 2005/03/15 16:01:01 laire Exp $
 */
#define AROS_ALMOST_COMPATIBLE
#include "global.h"

#define DEBUG 0
#include <aros/debug.h>


AROS_UFH1(LONG, LocalePrefs_Handler,
		  AROS_UFHA(struct IFFHandle *, iff, A2))
{
	AROS_LIBFUNC_INIT

	if (LocaleBase)
	{
		//struct LocalePrefs iprefs;
		struct Locale *locale;

		D(bug("IPrefs: LocalePrefs\n"));

		if (!(locale = OpenLocale("ENV:Sys/locale.prefs")))
			locale = OpenLocale(NULL);

		if (locale)
		{
			D(bug("IPrefs: locale %p\n",
				locale));

			locale = LocalePrefsUpdate(locale);

			CloseLocale(locale);
		}

		WBConfig(5, NULL);

		/* localize monitor modes... */

	}

	return 0;

	AROS_LIBFUNC_EXIT
}
